Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226414 - Merge Review: sg3_utils
Summary: Merge Review: sg3_utils
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Denis Leroy
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:58 UTC by Nobody's working on this, feel free to take it
Modified: 2008-03-28 14:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-28 10:23:22 UTC
denis: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:58:45 UTC
Fedora Merge Review: sg3_utils

http://cvs.fedora.redhat.com/viewcvs/devel/sg3_utils/
Initial Owner: pknirsch@redhat.com

Comment 1 Denis Leroy 2008-03-10 11:39:20 UTC
sg3_utils needs some love. Spec is not fedora compliant (static libs, .la libs).
It also could use an update to 1.25 which uses automake and will make the spec
file simpler. 1.25 also introduces the very useful 'sg_raw' utility.



Comment 2 Phil Knirsch 2008-03-20 19:01:41 UTC
Will take care of it next week.

Read ya, Phil

Comment 3 Phil Knirsch 2008-03-27 14:30:09 UTC
Ok, did some final cleanups to the specfile and removed the static libraries.
The remaining rpmlint warnings are either not fixable or plainly wrong for this
package (libs package doesn't contain any documentation and sg3_utils-devel only
needs the sg3_utils-libs package to work properly).

Building sg3_utils-1.25-3 in rawhide as i write this, so should land in the next
couple of days in the tree.

Let me know if there is anything else you see that should be changed.

Thanks,

Read ya, Phil

Comment 4 Denis Leroy 2008-03-28 10:21:25 UTC
Looking good. couple of minor non-blocking nitpicks

- is the "Provides: sg_utils' still useful ?

- instead of removing the *.a files, simply configure with '--disable-static'
(you still need to keep the removal of *.la files though).

This review is APPROVED.


Comment 5 Phil Knirsch 2008-03-28 14:07:02 UTC
I just figured i'd keep the Provides in, but i checked today once more and we
never actually shipped sg_utils in Fedora or Red Hat, so i'll just drop it.

And good point about the 2nd thing, will add that in the new build as well.

Thanks Denis!

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.